const React = require("react");

function BatteryChargingIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M21 10.5v3M8.5 17H6a2 2 0 0 1-2-2V9a2 2 0 0 1 2-2h.5m9 10h.5a2 2 0 0 0 2-2V9a2 2 0 0 0-2-2h-2.5M10 7l-1 5.5 4-1-1 5.5"
  }));
}

const ForwardRef = React.forwardRef(BatteryChargingIcon);
module.exports = ForwardRef;