const React = require("react");

function Volume2Icon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M6 9H3v6h3l5 4V5L6 9z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M18.5 5.5a9.192 9.192 0 010 13"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M15 8a5.657 5.657 0 010 8"
  })));
}

const ForwardRef = React.forwardRef(Volume2Icon);
module.exports = ForwardRef;