import * as React from "react";

function ArrowLeftDownIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.657 6.343L6.343 17.657"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6.343 9.172v8.485h8.485"
  })));
}

const ForwardRef = React.forwardRef(ArrowLeftDownIcon);
export default ForwardRef;