import * as React from "react";

function BrushBigIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M6 16l4.5 4.5 4-4a.707.707 0 011 0M6 16l-2.5-2.5 4-4a.707.707 0 000-1M6 16l2-2m7.5 2.5a.707.707 0 001 0l2.293-2.293a1 1 0 000-1.414l-2.086-2.086a1 1 0 010-1.414l3.586-3.586a1 1 0 000-1.414l-.586-.586a1 1 0 00-1.414 0l-3.586 3.586a1 1 0 01-1.414 0l-2.086-2.086a1 1 0 00-1.414 0L7.5 7.5a.707.707 0 000 1m8 8l-8-8"
  }));
}

const ForwardRef = React.forwardRef(BrushBigIcon);
export default ForwardRef;