import * as React from "react";

function CornerDownLeftIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M20 5v6.5a3 3 0 01-3 3H5"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7.5 18L4 14.5 7.5 11"
  })));
}

const ForwardRef = React.forwardRef(CornerDownLeftIcon);
export default ForwardRef;