import * as React from "react";

function CornerLeftUpIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M19 20h-6.5a3 3 0 01-3-3V5"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 7.5L9.5 4 13 7.5"
  })));
}

const ForwardRef = React.forwardRef(CornerLeftUpIcon);
export default ForwardRef;