import * as React from "react";

function HumbleiconIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M8 4a2 2 0 012 2v11a2 2 0 11-4 0V6a2 2 0 012-2z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M16 12a2 2 0 012 2v3a2 2 0 11-4 0v-3a2 2 0 012-2z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 16,
    cy: 6,
    r: 2
  })));
}

const ForwardRef = React.forwardRef(HumbleiconIcon);
export default ForwardRef;