import * as React from "react";

function VolumeOffIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M7 9H4v6h3l5 4V5L7 9z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M16 9.5l5 5"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M21 9.5l-5 5"
  })));
}

const ForwardRef = React.forwardRef(VolumeOffIcon);
export default ForwardRef;