const React = require("react");

function ArchiveFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M17 5H1a1 1 0 0 1-1-1V1a1 1 0 0 1 1-1h18a1 1 0 0 1 1 1v3a1 1 0 0 1-1 1h-2zm1 2v12a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V7h16zM8 14a1 1 0 0 0 0 2h4a1 1 0 0 0 0-2H8z"
  }));
}

const ForwardRef = React.forwardRef(ArchiveFIcon);
module.exports = ForwardRef;