const React = require("react");

function BirthdayCakeFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -1 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "m20 15.693-5.141 1.282-4.82-.996-4.935.996L0 15.687V15a3 3 0 0 1 3-3h14a3 3 0 0 1 3 3v.693zm0 2.063V22H0v-4.25l5.057 1.275 4.978-1.004 4.859 1.004L20 17.756zM7 9h6v2H7V9zm3-.6a3 3 0 0 1-3-3C7 4.295 8 2.495 10 0c2 2.495 3 4.295 3 5.4a3 3 0 0 1-3 3z"
  }));
}

const ForwardRef = React.forwardRef(BirthdayCakeFIcon);
module.exports = ForwardRef;