const React = require("react");

function CloudSnowIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M5 14a5 5 0 1 1 1.561-9.751A7.002 7.002 0 0 1 20 7a7 7 0 0 1-7 7H5zm0-2h8a5 5 0 1 0-4.6-6.965l-.72 1.686-1.742-.572A3 3 0 1 0 5 12zm1 3a1 1 0 1 1 0 2 1 1 0 0 1 0-2zm4 3a1 1 0 1 1 0 2 1 1 0 0 1 0-2zm4-2a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"
  }));
}

const ForwardRef = React.forwardRef(CloudSnowIcon);
module.exports = ForwardRef;