const React = require("react");

function DiceFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 20,
    height: 20,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M16 0a4 4 0 0 1 4 4v12a4 4 0 0 1-4 4H4a4 4 0 0 1-4-4V4a4 4 0 0 1 4-4h12Zm-1 13a2 2 0 1 0 0 4 2 2 0 0 0 0-4Zm-5-5a2 2 0 1 0 0 4 2 2 0 0 0 0-4ZM5 3a2 2 0 1 0 0 4 2 2 0 0 0 0-4Z"
  }));
}

const ForwardRef = React.forwardRef(DiceFIcon);
module.exports = ForwardRef;