const React = require("react");

function GiftFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9 20v-8h6v6a2 2 0 0 1-2 2H9zM7 6v4H1a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h.535A4 4 0 0 1 8 1.354 4 4 0 0 1 14.465 6H15a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1H9V6H7zm0 14H3a2 2 0 0 1-2-2v-6h6v8zM7 6V4a2 2 0 1 0-2 2h2zm2 0h2a2 2 0 1 0-2-2v2z"
  }));
}

const ForwardRef = React.forwardRef(GiftFIcon);
module.exports = ForwardRef;