const React = require("react");

function HammerFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-1.5 -1.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M2.288 5.703a1.5 1.5 0 0 1 .293-1.707L3.996 2.58a1.5 1.5 0 0 1 1.707-.293L7.178.814a2 2 0 0 1 2.828 0l2.829 2.828a2 2 0 0 1 0 2.829L6.47 12.835a2 2 0 0 1-2.829 0L.814 10.006a2 2 0 0 1 0-2.828l1.474-1.475zM9.3 12.835l3.536-3.536 3.535 3.536-3.535 3.535L9.3 12.835zm4.95 4.95 3.535-3.536 1.768 1.768a2.5 2.5 0 0 1-3.535 3.535l-1.768-1.768z"
  }));
}

const ForwardRef = React.forwardRef(HammerFIcon);
module.exports = ForwardRef;