const React = require("react");

function InboxesFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M20 6v5H0V6h6.126a4.002 4.002 0 0 0 7.748 0H20zm0-2H0l5-4h10l5 4zm0 9v5a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2v-5h6.126a4.002 4.002 0 0 0 7.748 0H20zM8.268 13h3.464a2 2 0 0 1-3.464 0zm-.002-6.988h3.464a2 2 0 0 1-3.464 0z"
  }));
}

const ForwardRef = React.forwardRef(InboxesFIcon);
module.exports = ForwardRef;