const React = require("react");

function LuggageFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -4 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M13 4v12H7V4h6zm2 0a5 5 0 0 1 5 5v2a5 5 0 0 1-5 5V4zM5 4v12a5 5 0 0 1-5-5V9a5 5 0 0 1 5-5zm.1 0a5.002 5.002 0 0 1 9.8 0h-2.07a3.001 3.001 0 0 0-5.66 0H5.1z"
  }));
}

const ForwardRef = React.forwardRef(LuggageFIcon);
module.exports = ForwardRef;