const React = require("react");

function PlugFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-6 -1.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M2 7.565h8a2 2 0 0 1 2 2v3.5a5.502 5.502 0 0 1-4.155 5.334A1.5 1.5 0 0 1 6.5 20.565h-1a1.5 1.5 0 0 1-1.345-2.166A5.502 5.502 0 0 1 0 13.065v-3.5a2 2 0 0 1 2-2zm2-1H2v-5a1 1 0 1 1 2 0v5zm6 0H8v-5a1 1 0 1 1 2 0v5z"
  }));
}

const ForwardRef = React.forwardRef(PlugFIcon);
module.exports = ForwardRef;