const React = require("react");

function SpeakerFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M3 0h8a3 3 0 0 1 3 3v14a3 3 0 0 1-3 3H3a3 3 0 0 1-3-3V3a3 3 0 0 1 3-3zm4 17a4 4 0 1 0 0-8 4 4 0 0 0 0 8zM7 7a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0 8a2 2 0 1 1 0-4 2 2 0 0 1 0 4z"
  }));
}

const ForwardRef = React.forwardRef(SpeakerFIcon);
module.exports = ForwardRef;