import * as React from "react";

function BellOffFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -1.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M1.295 15.705A8.998 8.998 0 0 1 4 11.292V7a6 6 0 0 1 10.243-4.243L1.295 15.705zm14.696-9.039c.006.11.009.222.009.334v4.292A8.978 8.978 0 0 1 19 18H4.657L15.99 6.666zM12.829 19a3.001 3.001 0 0 1-5.658 0h5.658zM19.092.707a1 1 0 0 1 0 1.414l-16.97 16.97a1 1 0 1 1-1.415-1.413L17.677.708a1 1 0 0 1 1.415 0z"
  }));
}

const ForwardRef = React.forwardRef(BellOffFIcon);
export default ForwardRef;