import * as React from "react";

function CreditCardFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M20 4H0V2a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v2zm0 3v5a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V7h20zM4 9a1 1 0 1 0 0 2h1a1 1 0 0 0 0-2H4zm5 0a1 1 0 1 0 0 2h5a1 1 0 0 0 0-2H9z"
  }));
}

const ForwardRef = React.forwardRef(CreditCardFIcon);
export default ForwardRef;