import * as React from "react";

function DeviantartIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5.5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M12.985 0H8.846L7.141 3.211a1.204 1.204 0 0 1-1.066.631H.033v5.1h3.27c.362 0 .596.373.43.686l-3.7 6.967v3.375h4.131l1.706-3.21a1.204 1.204 0 0 1 1.066-.632h6.049v-5.1H9.707a.471.471 0 0 1-.43-.686l3.708-6.98V0z"
  }));
}

const ForwardRef = React.forwardRef(DeviantartIcon);
export default ForwardRef;