import * as React from "react";

function DiscFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 20C4.477 20 0 15.523 0 10S4.477 0 10 0s10 4.477 10 10-4.477 10-10 10zm7-10a6.99 6.99 0 0 0-2.8-5.6L13 6a4.99 4.99 0 0 1 2 4 4.992 4.992 0 0 1-2 4l.58.87.53.796A6.99 6.99 0 0 0 17 10zm-7 3a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"
  }));
}

const ForwardRef = React.forwardRef(DiscFIcon);
export default ForwardRef;