import * as React from "react";

function DnaIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-6 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M2 17h8v-2H2v2zm.535-4h6.93A3.998 3.998 0 0 0 6 11c-1.48 0-2.773.804-3.465 2zM10 5V3H2v2h8zm-.535 2h-6.93A3.998 3.998 0 0 0 6 9c1.48 0 2.773-.804 3.465-2zm-.147 3A5.994 5.994 0 0 1 12 15v4a1 1 0 0 1-2 0H2a1 1 0 0 1-2 0v-4a5.994 5.994 0 0 1 2.682-5A5.994 5.994 0 0 1 0 5V1a1 1 0 1 1 2 0h8a1 1 0 0 1 2 0v4a5.994 5.994 0 0 1-2.682 5z"
  }));
}

const ForwardRef = React.forwardRef(DnaIcon);
export default ForwardRef;