import * as React from "react";

function FlameFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M8 20c-4.418 0-8-3.411-8-7.619 0-1.693.971-3.867 2.914-6.523a28.38 28.38 0 0 1 1.202-1.545C4.673 3.645 5.968 2.207 8 0c5.333 5.449 8 9.576 8 12.381C16 16.589 12.418 20 8 20zm0-3c2.21 0 4-1.706 4-3.81 0-1.402-1.333-3.466-4-6.19-2.667 2.724-4 4.788-4 6.19C4 15.294 5.79 17 8 17z"
  }));
}

const ForwardRef = React.forwardRef(FlameFIcon);
export default ForwardRef;