import * as React from "react";

function GlassFilledIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M2.1 4h9.8a4.963 4.963 0 0 0-.9-2H3a4.963 4.963 0 0 0-.9 2zm9.8 2H2.1a5.002 5.002 0 0 0 9.8 0zM6 18v-6.07A7.002 7.002 0 0 1 2.101 0h9.798A7.002 7.002 0 0 1 8 11.93V18h2a1 1 0 0 1 0 2H4a1 1 0 0 1 0-2h2z"
  }));
}

const ForwardRef = React.forwardRef(GlassFilledIcon);
export default ForwardRef;