import * as React from "react";

function GooglePlayIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-3 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "m17.625 9.267-3.635-2.1L11 10.061l2.733 2.644 3.892-2.25a.68.68 0 0 0 .342-.593.68.68 0 0 0-.342-.595zM13.373 6.81l-4-2.312L.607 0l9.901 9.584zM.752 19.98l8.636-4.763 3.728-2.155-2.608-2.524zM.022.388l-.01 19.355 10.003-9.682z"
  }));
}

const ForwardRef = React.forwardRef(GooglePlayIcon);
export default ForwardRef;