import * as React from "react";

function HairdryerFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M6 10.286V1.714h3.2a6 6 0 0 1 8.686 8.27l1.925 5.286a3 3 0 1 1-5.638 2.052l-1.982-5.444a5.987 5.987 0 0 1-2.99-1.592H6zm-2 0H2a2 2 0 0 1-2-2V3.714a2 2 0 0 1 2-2h2v8.572zM12 5a1 1 0 0 0 0 2h3a1 1 0 0 0 0-2h-3z"
  }));
}

const ForwardRef = React.forwardRef(HairdryerFIcon);
export default ForwardRef;