import * as React from "react";

function InboxesIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M2 4.961V18h16V4.961L14.298 2H5.702L2 4.961zM0 4l5-4h10l5 4v14a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V4zm13.874 2a4.002 4.002 0 0 1-7.748 0H2V4h16v2h-4.126zm-2.142 0H8.268a2 2 0 0 0 3.464 0zm2.142 7a4.002 4.002 0 0 1-7.748 0H2v-2h16v2h-4.126zm-2.142 0H8.268a2 2 0 0 0 3.464 0z"
  }));
}

const ForwardRef = React.forwardRef(InboxesIcon);
export default ForwardRef;