import * as React from "react";

function LayoutFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-3 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9 20V8h9v9a3 3 0 0 1-3 3H9zm-2 0H3a3 3 0 0 1-3-3V8h7v12zM18 6H0V3a3 3 0 0 1 3-3h12a3 3 0 0 1 3 3v3z"
  }));
}

const ForwardRef = React.forwardRef(LayoutFIcon);
export default ForwardRef;