import * as React from "react";

function MaskFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -6 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 1.878c1.76-.68 3.26-1.02 4.5-1.02a5.5 5.5 0 0 1 0 11c-1.24 0-2.74-.352-4.5-1.057-1.76.705-3.26 1.057-4.5 1.057a5.5 5.5 0 0 1 0-11c1.24 0 2.74.34 4.5 1.02zm-4 5.98c1.105 0 2-.672 2-1.5 0-.829-.895-1.5-2-1.5s-2 .671-2 1.5c0 .828.895 1.5 2 1.5zm8 0c1.105 0 2-.672 2-1.5 0-.829-.895-1.5-2-1.5s-2 .671-2 1.5c0 .828.895 1.5 2 1.5z"
  }));
}

const ForwardRef = React.forwardRef(MaskFIcon);
export default ForwardRef;