import * as React from "react";

function ShoppingBagAltIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M2 8v9a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V8H2zm0-2V3a3 3 0 0 1 3-3h4a3 3 0 0 1 3 3v3h2v11a3 3 0 0 1-3 3H3a3 3 0 0 1-3-3V6h2zm2 0h6V3a1 1 0 0 0-1-1H5a1 1 0 0 0-1 1v3z"
  }));
}

const ForwardRef = React.forwardRef(ShoppingBagAltIcon);
export default ForwardRef;