import * as React from "react";

function UnionIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 20,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10.858 2.48 10 2.888l-.858-.408a5 5 0 1 0 0 9.04l.858-.408.858.408a5 5 0 1 0 0-9.04ZM13 0a7 7 0 1 1-3 13.326A7 7 0 1 1 10 .673 6.973 6.973 0 0 1 13 0Z"
  }));
}

const ForwardRef = React.forwardRef(UnionIcon);
export default ForwardRef;