const React = require("react");

function CameraOffIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M3 5L19 21"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20 18V8C20 7.44772 19.5523 7 19 7H16.618C16.2393 7 15.893 6.786 15.7236 6.44721L15.2764 5.55279C15.107 5.214 14.7607 5 14.382 5H9.72076C9.29033 5 8.90819 5.27543 8.77208 5.68377L8.5 6.5M16 18H5C4.44772 18 4 17.5523 4 17V8C4 7.44771 4.44772 7 5 7V7"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11 9.17071C11.3128 9.06015 11.6494 9 12 9C13.6569 9 15 10.3431 15 12C15 12.3506 14.9398 12.6872 14.8293 13"
  })));
}

const ForwardRef = React.forwardRef(CameraOffIcon);
module.exports = ForwardRef;