const React = require("react");

function CornerLeftDownIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M19 4h-6.5a3 3 0 00-3 3v12"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 16.5L9.5 20l3.5-3.5"
  })));
}

const ForwardRef = React.forwardRef(CornerLeftDownIcon);
module.exports = ForwardRef;