const React = require("react");

function MailOpenIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M21 19V8.588a1 1 0 00-.514-.874l-7.03-3.905a3 3 0 00-2.913 0L3.514 7.714A1 1 0 003 8.588V19a1 1 0 001 1h16a1 1 0 001-1z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M3 10l7.89 5.26a2 2 0 002.22 0L21 10"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M9 14l-6 4"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M15 14l6 4"
  })));
}

const ForwardRef = React.forwardRef(MailOpenIcon);
module.exports = ForwardRef;