const React = require("react");

function AlarmClockIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M11 10h2a1 1 0 0 1 0 2h-3a1 1 0 0 1-1-1V6a1 1 0 1 1 2 0v4zm7.63-1.562a9 9 0 1 1-17.26 0 5 5 0 1 1 7.668-6.387 9.102 9.102 0 0 1 1.924 0 5 5 0 1 1 7.668 6.387zm-.938-2.113a3 3 0 0 0-4.48-3.735 9.03 9.03 0 0 1 4.48 3.735zM6.787 2.59a3 3 0 0 0-4.48 3.735 9.03 9.03 0 0 1 4.48-3.735zM10 18a7 7 0 1 0 0-14 7 7 0 0 0 0 14z"
  }));
}

const ForwardRef = React.forwardRef(AlarmClockIcon);
module.exports = ForwardRef;