const React = require("react");

function ClearFormatIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-6.5 -6.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M6.326 2 3.95 9.309a1 1 0 1 1-1.902-.618L4.223 2H1a1 1 0 1 1 0-2h8a1 1 0 1 1 0 2H6.326zm3.33 6.243.708.707a1 1 0 1 1-1.414 1.414l-.707-.707-.707.707A1 1 0 0 1 6.12 8.95l.707-.707-.707-.707A1 1 0 0 1 7.536 6.12l.707.707.707-.707a1 1 0 1 1 1.414 1.415l-.707.707z"
  }));
}

const ForwardRef = React.forwardRef(ClearFormatIcon);
module.exports = ForwardRef;