const React = require("react");

function ClipboardFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9 2v2H5V2H3a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2H9zM5 6h4a2 2 0 0 0 2-2V2h1a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h1v2a2 2 0 0 0 2 2zM4 8a1 1 0 1 0 0 2h6a1 1 0 0 0 0-2H4zm0 5a1 1 0 0 0 0 2h6a1 1 0 0 0 0-2H4z"
  }));
}

const ForwardRef = React.forwardRef(ClipboardFIcon);
module.exports = ForwardRef;