const React = require("react");

function CloudFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M13 0a7 7 0 0 1 0 14H5a5 5 0 1 1 1.561-9.751A7.002 7.002 0 0 1 13 0z"
  }));
}

const ForwardRef = React.forwardRef(CloudFIcon);
module.exports = ForwardRef;