const React = require("react");

function FirstAidFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M5 4.858v-1a3 3 0 0 1 3-3h4a3 3 0 0 1 3 3v1h2a3 3 0 0 1 3 3v8a3 3 0 0 1-3 3H3a3 3 0 0 1-3-3v-8a3 3 0 0 1 3-3h2zm6 6v-2H9v2H7v2h2v2h2v-2h2v-2h-2zm-4-6h6v-1a1 1 0 0 0-1-1H8a1 1 0 0 0-1 1v1z"
  }));
}

const ForwardRef = React.forwardRef(FirstAidFIcon);
module.exports = ForwardRef;