const React = require("react");

function GlueFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-7 -1 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M8 9H2V7.393a1 1 0 0 1 1-1h1v-5a1 1 0 1 1 2 0v5h1a1 1 0 0 1 1 1V9zm.809 1A2.995 2.995 0 0 1 10 12.393v7a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2v-7c0-.977.467-1.845 1.191-2.393h7.618z"
  }));
}

const ForwardRef = React.forwardRef(GlueFIcon);
module.exports = ForwardRef;