const React = require("react");

function MicIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-6 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9.465 14H8a1 1 0 0 1 0-2h2v-2H8a1 1 0 1 1 0-2h2V6H8a1 1 0 1 1 0-2h1.465A3.998 3.998 0 0 0 6 2c-1.48 0-2.773.804-3.465 2H4a1 1 0 1 1 0 2H2v2h2a1 1 0 1 1 0 2H2v2h2a1 1 0 0 1 0 2H2.535A3.998 3.998 0 0 0 6 16c1.48 0 2.773-.804 3.465-2zm-1.492 3.668a2 2 0 1 1-3.945 0A6.003 6.003 0 0 1 0 12V6a6 6 0 1 1 12 0v6a6.003 6.003 0 0 1-4.027 5.668z"
  }));
}

const ForwardRef = React.forwardRef(MicIcon);
module.exports = ForwardRef;