const React = require("react");

function PocketWatchIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -1 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9 13h2a1 1 0 0 1 0 2H8a1 1 0 0 1-1-1v-4a1 1 0 1 1 2 0v3zM7 5.732V5a1 1 0 1 1 2 0v.732a2 2 0 1 0-2 0zm-2.041.866a4 4 0 1 1 6.082 0A8.002 8.002 0 0 1 8 22 8 8 0 0 1 4.959 6.598zM8 20A6 6 0 1 0 8 8a6 6 0 0 0 0 12z"
  }));
}

const ForwardRef = React.forwardRef(PocketWatchIcon);
module.exports = ForwardRef;