const React = require("react");

function SetBackwardSquareFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M7.514 8.164V6a1 1 0 1 0-2 0v8a1 1 0 0 0 2 0v-2.164l3.93 2.808c.904.646 2.13.389 2.736-.576.218-.346.334-.753.334-1.17V7.102c0-1.16-.883-2.102-1.972-2.102-.391 0-.773.124-1.098.356l-3.93 2.808zM4 0h12a4 4 0 0 1 4 4v12a4 4 0 0 1-4 4H4a4 4 0 0 1-4-4V4a4 4 0 0 1 4-4zm8.548 7.12v5.796l-4.055-2.898 4.055-2.898z"
  }));
}

const ForwardRef = React.forwardRef(SetBackwardSquareFIcon);
module.exports = ForwardRef;