const React = require("react");

function StackoverflowCircleIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 18a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm0 2C4.477 20 0 15.523 0 10S4.477 0 10 0s10 4.477 10 10-4.477 10-10 10z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.746 14.068v-2.636h.832v3.511H6.065v-3.511h.832v2.636z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "m7.816 11.182 4.087.898.173-.864-4.087-.898-.173.864zm.54-2.046 3.785 1.853.345-.796L8.703 8.33l-.346.806zm1.05-1.954 3.21 2.807.53-.67-3.21-2.808-.53.67zm2.075-2.08-.67.523 2.486 3.523.67-.523-2.486-3.523zm-3.751 8.08h4.173v-.875H7.73v.875z"
  }));
}

const ForwardRef = React.forwardRef(StackoverflowCircleIcon);
module.exports = ForwardRef;