const React = require("react");

function StampFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M8 7.465a4 4 0 1 1 4 0V14H8V7.465zM2 15h16a2 2 0 0 1 2 2v2H0v-2a2 2 0 0 1 2-2z"
  }));
}

const ForwardRef = React.forwardRef(StampFIcon);
module.exports = ForwardRef;