const React = require("react");

function StarHalfFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 10,
    height: 19,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9.989 0 10 .024V15.76l-.011-.006L3.815 19l1.179-6.874L0 7.257l6.902-1.003z"
  }));
}

const ForwardRef = React.forwardRef(StarHalfFIcon);
module.exports = ForwardRef;