const React = require("react");

function SubtractionIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 20,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M13 0a7 7 0 1 1-3 13.326A7 7 0 1 1 10 .673 6.963 6.963 0 0 1 13 0ZM7 2a5 5 0 1 0 1.002 9.9A6.972 6.972 0 0 1 6 7c0-1.907.763-3.637 2-4.9A4.976 4.976 0 0 0 7 2Zm6 0a5 5 0 1 0 0 10 5 5 0 0 0 0-10Z"
  }));
}

const ForwardRef = React.forwardRef(SubtractionIcon);
module.exports = ForwardRef;