const React = require("react");

function TableCellMergeIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M4 2H2v2h2V2Zm2 0v2h2V2h2v2h2V2H6Zm6 4H6v6h6V6Zm-8 6v-2H2v2h2ZM2 8h2V6H2v2Zm0-8h10a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2Z"
  }));
}

const ForwardRef = React.forwardRef(TableCellMergeIcon);
module.exports = ForwardRef;