import * as React from "react";

function AlarmClockFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -3 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10.962 2.05a5 5 0 1 1 7.668 6.387 9.008 9.008 0 0 0-7.668-6.386zM1.37 8.439a5 5 0 1 1 7.668-6.387A9.008 9.008 0 0 0 1.37 8.438zM10 18a7 7 0 1 1 0-14 7 7 0 0 1 0 14zm1-8V6a1 1 0 0 0-2 0v5a1 1 0 0 0 1 1h3a1 1 0 0 0 0-2h-2z"
  }));
}

const ForwardRef = React.forwardRef(AlarmClockFIcon);
export default ForwardRef;