import * as React from "react";

function BuildingFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5.5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9 20v-3a1 1 0 0 0-1-1H5a1 1 0 0 0-1 1v3H0V3a3 3 0 0 1 3-3h7a3 3 0 0 1 3 3v17H9zM4 4a1 1 0 1 0 0 2h1a1 1 0 1 0 0-2H4zm0 3a1 1 0 1 0 0 2h1a1 1 0 1 0 0-2H4zm0 3a1 1 0 0 0 0 2h1a1 1 0 0 0 0-2H4zm0 3a1 1 0 0 0 0 2h1a1 1 0 0 0 0-2H4zm4-9a1 1 0 1 0 0 2h1a1 1 0 1 0 0-2H8zm0 3a1 1 0 1 0 0 2h1a1 1 0 1 0 0-2H8zm0 3a1 1 0 0 0 0 2h1a1 1 0 0 0 0-2H8zm0 3a1 1 0 0 0 0 2h1a1 1 0 0 0 0-2H8z"
  }));
}

const ForwardRef = React.forwardRef(BuildingFIcon);
export default ForwardRef;