import * as React from "react";

function CameraAltFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M20 12H0V6a6 6 0 0 1 6-6h8a6 6 0 0 1 6 6v6zm0 2a6 6 0 0 1-6 6H6a6 6 0 0 1-6-6h20zM6 15a1 1 0 0 0 0 2h8a1 1 0 0 0 0-2H6zm4-4a4 4 0 1 0 0-8 4 4 0 0 0 0 8zm6 0a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm-6-2a2 2 0 1 1 0-4 2 2 0 0 1 0 4z"
  }));
}

const ForwardRef = React.forwardRef(CameraAltFIcon);
export default ForwardRef;