import * as React from "react";

function ChronometerFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -3 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M8 11V8a1 1 0 1 0-2 0v4a1 1 0 0 0 1 1h3a1 1 0 0 0 0-2H8zm-1 7A6 6 0 1 1 7 6a6 6 0 0 1 0 12zM9.928 4.553A7.98 7.98 0 0 0 7 4a7.98 7.98 0 0 0-2.928.553A2.5 2.5 0 0 1 5.5 0h3a2.5 2.5 0 0 1 1.428 4.553zM5.5 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zm5.554 3.101a1.5 1.5 0 1 1 2.077 1.76 8.039 8.039 0 0 0-2.077-1.76zM.869 6.861a1.5 1.5 0 1 1 2.077-1.76A8.039 8.039 0 0 0 .87 6.861z"
  }));
}

const ForwardRef = React.forwardRef(ChronometerFIcon);
export default ForwardRef;