import * as React from "react";

function CloudRainFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M13 0a7 7 0 0 1 0 14H5a5 5 0 1 1 1.561-9.751A7.002 7.002 0 0 1 13 0z"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 5,
    y: 15,
    width: 2,
    height: 4,
    rx: 1
  }), /*#__PURE__*/React.createElement("rect", {
    x: 9,
    y: 15,
    width: 2,
    height: 5,
    rx: 1
  }), /*#__PURE__*/React.createElement("rect", {
    x: 13,
    y: 15,
    width: 2,
    height: 3,
    rx: 1
  }));
}

const ForwardRef = React.forwardRef(CloudRainFIcon);
export default ForwardRef;