import * as React from "react";

function DifferenciationIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 20,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 .674a7 7 0 1 1 0 12.653A7 7 0 1 1 10 .673ZM10 3a4.992 4.992 0 0 0-2 4c0 1.636.786 3.088 2 4a4.992 4.992 0 0 0 2-4 4.992 4.992 0 0 0-2-4Z"
  }));
}

const ForwardRef = React.forwardRef(DifferenciationIcon);
export default ForwardRef;