import * as React from "react";

function DiggIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -4.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M3.548.006v3.5H0v7h5.544V.006H3.548zm-1.552 8.75v-3.5h1.552v3.5H1.996zm3.992-5.25h1.996v7H5.988v-7zm0-3.5h1.996v1.969H5.988V.005zm8.205 3.5H8.871v7h3.326v1.531H8.871v1.969h5.322v-10.5zm-3.326 5.25v-3.5h1.33v3.5h-1.33zm9.092-5.25h-5.322v7h3.548v1.531h-3.548v1.969h5.322v-10.5zm-1.774 5.25h-1.552v-3.5h1.552v3.5z"
  }));
}

const ForwardRef = React.forwardRef(DiggIcon);
export default ForwardRef;