import * as React from "react";

function FolderZipFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -4 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10.83 2H17a3 3 0 0 1 3 3v8a3 3 0 0 1-3 3H3a3 3 0 0 1-3-3V3a3 3 0 0 1 3-3h5c1.306 0 2.417.835 2.83 2zM14 6v2h2V6h-2zm-2-2v2h2V4h-2zm0 4v2h2V8h-2zm2 2v2h2v-2h-2zm-2 2v2h2v-2h-2z"
  }));
}

const ForwardRef = React.forwardRef(FolderZipFIcon);
export default ForwardRef;