import * as React from "react";

function HairdryerIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M6 8.286h4.017l.584.571a3.987 3.987 0 0 0 1.991 1.062l1.096.224 2.364 6.495a1 1 0 1 0 1.88-.684l-2.333-6.407.793-.892A4 4 0 0 0 10.6 3.143l-.584.571H6v4.572zm-2 0V3.714H2v4.572h2zm5.2 2H2a2 2 0 0 1-2-2V3.714a2 2 0 0 1 2-2h7.2a6 6 0 0 1 8.686 8.27l1.925 5.286a3 3 0 1 1-5.638 2.052l-1.982-5.444a5.987 5.987 0 0 1-2.99-1.592zM12 5h3a1 1 0 0 1 0 2h-3a1 1 0 0 1 0-2z"
  }));
}

const ForwardRef = React.forwardRef(HairdryerIcon);
export default ForwardRef;