import * as React from "react";

function HighlighterFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-1 -1.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "m12.914 15.45-3.182 1.06-4.242-4.242 1.06-3.182 6.364 6.364zm1.414-1.414L7.964 7.672l6.364-6.364c1.566-1.566 3.969-1.69 5.657 0l.707.707c1.69 1.688 1.566 4.091 0 5.657l-6.364 6.364zM7.964 17.57 5.136 20.4.893 17.571l3.536-3.535 3.535 3.535z"
  }));
}

const ForwardRef = React.forwardRef(HighlighterFIcon);
export default ForwardRef;