import * as React from "react";

function InstantPictureFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "m16 11.252-1.454-2.24a3 3 0 0 0-5-.304L5.575 14H0V2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v9.252zM8.076 14l3.07-4.092a1 1 0 0 1 1.666.101L15.284 14H8.076zM16 16v2a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2v-2h16zM6 9a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"
  }));
}

const ForwardRef = React.forwardRef(InstantPictureFIcon);
export default ForwardRef;