import * as React from "react";

function MagnetFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M15 12c0-3.866-2.239-7-5-7s-5 3.134-5 7H0C0 5.373 4.477 0 10 0s10 5.373 10 12h-5zM0 14h5v5a1 1 0 0 1-1 1H1a1 1 0 0 1-1-1v-5zm15 0h5v5a1 1 0 0 1-1 1h-3a1 1 0 0 1-1-1v-5z"
  }));
}

const ForwardRef = React.forwardRef(MagnetFIcon);
export default ForwardRef;