import * as React from "react";

function PocketWatchFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-6 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M7 13v-3a1 1 0 1 0-2 0v4a1 1 0 0 0 1 1h3a1 1 0 0 0 0-2H7zM5 5.732V5a1 1 0 1 1 2 0v.732a2 2 0 1 0-2 0zM6 20A6 6 0 1 1 6 8a6 6 0 0 1 0 12zM2.959 6.598a4 4 0 1 1 6.082 0A7.977 7.977 0 0 0 6 6a7.977 7.977 0 0 0-3.041.598z"
  }));
}

const ForwardRef = React.forwardRef(PocketWatchFIcon);
export default ForwardRef;