import * as React from "react";

function StackoverflowIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M13.492 18.136v-5.272h1.665v7.022H.13v-7.022h1.665v5.272z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "m3.632 12.364 8.173 1.795.346-1.727-8.173-1.796-.346 1.728zm1.082-4.091 7.567 3.704.692-1.59-7.568-3.728-.691 1.614zm2.097-3.91 6.421 5.614 1.06-1.34L7.87 3.022l-1.06 1.34zM10.962.206 9.622 1.25l4.973 7.045 1.34-1.045L10.962.205zM3.46 16.364h8.346v-1.75H3.46v1.75z"
  }));
}

const ForwardRef = React.forwardRef(StackoverflowIcon);
export default ForwardRef;