import * as React from "react";

function TorchFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-8 -1 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M0 10h8v1a2 2 0 0 1-1.35 1.892l-.508 7.113a2.148 2.148 0 0 1-4.284 0l-.509-7.113A2 2 0 0 1 0 11v-1zm7.465-2H8 0h.535A3.982 3.982 0 0 1 0 6c0-1.473 1.333-3.473 4-6 2.667 2.527 4 4.527 4 6 0 .729-.195 1.412-.535 2z"
  }));
}

const ForwardRef = React.forwardRef(TorchFIcon);
export default ForwardRef;