import * as React from "react";

function UmbrellaClosedIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M6 13.418 0 15 6.234 1.642a1 1 0 1 1 1.533 0L14 15l-6-1.582V17a1 1 0 0 0 2 0 1 1 0 0 1 2 0 3 3 0 0 1-6 0v-3.582zM7 4.73l-3.383 7.249L7 11.086l3.383.892L7 4.729z"
  }));
}

const ForwardRef = React.forwardRef(UmbrellaClosedIcon);
export default ForwardRef;