import * as React from "react";

function VideoCameraVintageFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M9.671 9c-.3-.243-.57-.525-.799-.837A5.03 5.03 0 0 1 8 9h1.671zm2.972.998c.456.401.82.905 1.055 1.475l1.888-1.887A2 2 0 0 1 17 9h.586a2 2 0 0 1 2 2v6a2 2 0 0 1-2 2H17a2 2 0 0 1-1.414-.586l-1.888-1.887A4.001 4.001 0 0 1 10 19H4a4 4 0 0 1-4-4v-2a4.001 4.001 0 0 1 2.46-3.693 5 5 0 1 1 6.799-6.929 4.5 4.5 0 1 1 3.385 7.62zM5 16a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0-8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm7.5 0a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5z"
  }));
}

const ForwardRef = React.forwardRef(VideoCameraVintageFIcon);
export default ForwardRef;